#ifndef _UDP_INTERNAL_PROTOCOL_H_
#define _UDP_INTERNAL_PROTOCOL_H_

#include "net.h"






void Addtion_Regular_Service_State(uint8_t *data,uint8_t type,uint8_t addr,uint16_t loop,uint16_t start);
void Udp_Internal_Regular_Service_State(void);
void Udp_Addtion_Roomstate(uint8_t type,uint8_t addr,uint16_t loop,uint16_t start);
void Udp_Scan_Roomstate(void);
void Udp_Internal_RoomState(void);
uint8_t Udp_Internal_Read_MCU_System_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);
uint8_t Udp_Internal_Device_Control_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);
uint8_t Udp_Internal_ReadRegister_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);
uint8_t Udp_Internal_WriteRegister_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);
uint8_t Udp_Internal_BLVPCTest_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);
void Udp_Internal_Dev_Control_Processing(void);
uint8_t Udp_Internal_RoomRent_Process(uint8_t* data, uint16_t DataLen, uint8_t *ip,uint16_t port);



#endif

